#!/bin/sh

# Executes a pipeline in a remote machine taking the values from the environment
# Usage fpga/run-remotely.sh <host>:<path>

set -e

dst=fpgalogin1:nixos

if [ "$1" != "" ]; then
  dst="$1"
fi

path=${dst#*:}

# Copy all required elements to the destination machine
fpga/upload.sh "$dst"

# Launch the pipeline from there
set +x
#ssh fpgalogin1 "$path/run-login.sh" "$path" | awk -f fpga/verify.awk
ssh fpgalogin1 "$path/run-login.sh" "$path"
